Subject: Re: 25.0.92; cua-mode inhibits deactivate-region-hook

From: Thomas Frössman <[email-masked]>
Date: Fri, 8 Apr 2016 18:52:48 +0200

doh, I mixed up the mark/region functions a bit while testing.. Maybe it's
not a bug then. I will continue to investigate later.

On Fri, Apr 8, 2016 at 6:50 PM, Thomas Frössman <[email-masked]>
wrote:

> I noticed that https://github.com/fgallina/region-bindings-mode started
> to fail to deactive from time to time after I swiched to the emacs-25
> branch.
>
> I think I have tracked the problem down to cua-mode being the thing
> which causes this.
>
> I have been able to reproduce this problem.  If i use the init.el below
> and repeatadly activates and deactivates regions for a while an AM
> is logged to the messages buffer without a DM following the
> deactivation, after this (region-active-p) evaluates to nil but there
> was to deactivation hook fired.
>
> (defun AM ()
>   (message "AM"))
> (defun DM ()
>   (message "DM" ))
> (add-hook 'activate-mark-hook 'AM)
> (add-hook 'deactivate-mark-hook 'DM)
> (cua-mode)
>
>
>
> In GNU Emacs 25.0.92.8 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.7)
>  of 2016-04-08 built on transwhale
> Repository revision: 7ad1d075b940f276adaf3b6bb0c024079c403f80
> Windowing system distributor 'The X.Org Foundation', version 11.0.11702000
> System Description:     Ubuntu 15.10
>
> Configured using:
>  'configure --with-x-toolkit=gtk3 --with-file-notification=inotify
>  --without-pop --without-toolkit-scroll-bars --with-xwidgets'
>
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
> ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB GTK3 X11 XWIDGETS
>
> Important settings:
>   value of $LC_COLLATE: sv_SE.utf8
>   value of $LC_CTYPE: sv_SE.utf8
>   value of $LC_MESSAGES: en_US.utf8
>   value of $LC_MONETARY: sv_SE.utf8
>   value of $LC_NUMERIC: sv_SE.utf8
>   value of $LC_TIME: sv_SE.utf8
>   value of $LANG: en_US.utf8
>   locale-coding-system: utf-8
>
>

-- 
Thomas Frössman
http://t.jossystem.se